
QGIS Application - Bug report #11533

Crash when doing right-click Identify/action on PostGIS layer

2014-11-03 09:04 AM - Nathan Saylor

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19803

Description

Right-click using the Identify tool for option to bring up Identify dialog or use Action on a PostGIS layer. The Action in this case is to open a

webpage based on an attribute. Selecting Identify works fine. Selecting the Action crashes QGIS and creates a dump file. I have also

tested PostGIS layers via GeoServer and stand-alone shapefiles and both of these work as expected. Using the Action button on PostGIS

layer works as expected. So far, it is only right-clicking with the Identify tool and selecting Action that causes the crash.

Associated revisions

Revision 9aa678b9 - 2014-11-04 12:20 AM - Jürgen Fischer

fix feature action from identify menu (fixes #11533)

Revision 699e68c1 - 2014-11-05 06:01 PM - Jürgen Fischer

fix feature action from identify menu (fixes #11533)

History

#1 - 2014-11-03 09:20 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

it is not clear to me what brings down your qgis, the identify tool or the action one?

I tested both on a PostGIS layer here (the action is the same as you described) and none of them causes crash.

Please try see if you have an offeding plugin, disable/remove all 3rd party plugins, close qgis and try again. Thanks.

#2 - 2014-11-03 09:32 AM - Nathan Saylor

Using the Identify tool, right-clicking on a PostGIS layer feature, and selecting the Action option crashes QGIS.

I have tried disabling all plugins but get the same result. Is that enough, or do I need to uninstall them as well?

Thank you for your prompt response.

#3 - 2014-11-03 09:41 AM - Giovanni Manghi

- Status changed from Feedback to Open
- Target version set to Version 2.8

- Priority changed from High to Severe/Regression

Confirmed on Windows, will try also Linux. Tagging as blocker as is a new feature that does not work as expected, feel free to downgrade it.

#4 - 2014-11-03 12:10 PM - Giovanni Manghi

- Subject changed from Right-click Identify/Action on PostGIS layer to Crash when doing right-click Identify/action on PostGIS layer

#5 - 2014-11-03 03:21 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"9aa678b963a0d3f3f4805c56d64bc31cc29c8a29".
